/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmTranspose;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmTransposeRecord extends UpdatableRecordImpl<TDmTransposeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_transpose.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transpose.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_transpose.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transpose.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_transpose.fk_tabledef</code>. reference
     * to T_DM_TABLEDEF.pk
     */
    public void setFkTabledef(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transpose.fk_tabledef</code>. reference
     * to T_DM_TABLEDEF.pk
     */
    public Integer getFkTabledef() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmTransposeRecord
     */
    public TDmTransposeRecord() {
        super(TDmTranspose.T_DM_TRANSPOSE);
    }

    /**
     * Create a detached, initialised TDmTransposeRecord
     */
    public TDmTransposeRecord(LocalDateTime lastchange, Integer pk, Integer fkTabledef) {
        super(TDmTranspose.T_DM_TRANSPOSE);

        setLastchange(lastchange);
        setPk(pk);
        setFkTabledef(fkTabledef);
        resetChangedOnNotNull();
    }
}
